"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DisableIndexing = void 0;
var _errors = require("../errors");
class DisableIndexing {
  constructor(settings) {
    this.settings = settings;
  }
  async exec(index) {
    const settings = await this.settings.getSettings(index);
    try {
      await this.settings.setSettings(index, {
        numberOfReplicas: 0,
        refreshInterval: "-1"
      });
    } catch (ex) {
      throw new _errors.IndexingDisableError(ex);
    }
    return settings;
  }
}
exports.DisableIndexing = DisableIndexing;

//# sourceMappingURL=DisableIndexing.js.map